Subject: Re: [PATCH net-next 3/3 RFC] pktgen: Allow sending TCP packets

From: Zoltan Kiss <[email-masked]>
Date: Thu, 26 Jun 2014 10:39:41 +0100

On 26/06/14 01:44, David Miller wrote:
> From: Cong Wang <[email-masked]>
> Date: Wed, 25 Jun 2014 17:41:47 -0700
>
>> On Wed, Jun 25, 2014 at 1:42 PM, Zoltan Kiss <[email-masked]> wrote:
>>> This is a prototype patch to enable sending TCP packets with pktgen. The
>>> original motivation is to test TCP GSO with xen-netback/netfront, but I'm not
>>> sure about how the checksum should be set up, and also someone should verify the
>>> GSO settings I'm using.
>>>
>>
>> What's the point of sending TCP packets since you don't establish a TCP
>> connection?
>
> I guess they want to test checksumming and aggregation, things like that.
>
> The other side is of course going to spew reset packets back at the
> pktgen machine.
>

Yes, I just want to stress the driver, not the TCP stack on the other 
end? Netback/front doesn't handle UDP GSO, so to test TCP GSO we need to 
fed it with TCP packets.
It would be good if someone can advise me how to setup checksum and GSO 
bits.

Zoli